> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roe-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Agent Job Result

> Get agent job result data.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url "https://api.roe-ai.com/v1/agents/jobs/YOUR_JOB_ID/result/" \
    --header "Authorization: Bearer YOUR_API_KEY"
  ```
</RequestExample>


## OpenAPI

````yaml GET /v1/agents/jobs/{agent_job_id}/result/
openapi: 3.1.0
info:
  title: Roe AI API
  version: 1.0.0
  description: Complete API documentation for Roe AI platform
servers:
  - url: https://api.roe-ai.com
    description: Production API
security: []
paths:
  /v1/agents/jobs/{agent_job_id}/result/:
    get:
      tags:
        - v1
      description: Get agent job result data.
      operationId: v1_agents_jobs_result_retrieve
      parameters:
        - in: path
          name: agent_job_id
          schema:
            type: string
            format: uuid
          required: true
        - name: organization_id
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: >-
            Organization ID. This is required for access control. It can be
            provided via query or request body depending on the endpoint.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentJobResultResponse'
              examples:
                Example:
                  value:
                    agent_id: 123e4567-e89b-12d3-a456-426614174000
                    agent_version_id: 456e7890-e89b-12d3-a456-426614174001
                    inputs:
                      - key: input_text
                        value: Hello world
                        data_type: text/plain
                    input_tokens: 100
                    output_tokens: 50
                    outputs:
                      - key: output
                        description: Output JSON data
                        data_type: application/json
                        value: '{"summary": "hello world!"}'
                        cost: 0.05
          description: Agent job result with outputs, inputs, tokens and metadata
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Example:
                  value:
                    error: You don't have access to agents feature
          description: >-
            Access to the Agents feature is forbidden or permission to access
            this agent job denied
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Example:
                  value:
                    error: Agent job not found
          description: Agent job not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Example:
                  value:
                    error: Failed to get agent job result data
          description: Internal server error
components:
  schemas:
    AgentJobResultResponse:
      type: object
      properties:
        agent_id:
          type: string
          format: uuid
          description: The ID of the base agent
        agent_version_id:
          type: string
          format: uuid
          description: The ID of the agent version
        inputs:
          type: array
          items: {}
          description: The input data provided to the agent
        input_tokens:
          type:
            - integer
            - 'null'
          description: Number of input tokens used
        output_tokens:
          type:
            - integer
            - 'null'
          description: Number of output tokens generated
        outputs:
          type: array
          items:
            $ref: '#/components/schemas/AgentDatum'
          description: The output data from the agent
      required:
        - agent_id
        - agent_version_id
        - input_tokens
        - inputs
        - output_tokens
        - outputs
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
      required:
        - message
    AgentDatum:
      type: object
      properties:
        key:
          type: string
          description: The key of the output
        description:
          type: string
          description: The description of the output
        data_type:
          type: string
          description: The MIME data type of the output
        value:
          type: string
          description: The value of the output, serialized as a string
        cost:
          type: number
          format: double
          description: The cost of the agent job execution
      required:
        - data_type
        - key
        - value

````